Index: /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-BASIC-10D.xml
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-BASIC-10D.xml	(revision 11754)
+++ /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-BASIC-10D.xml	(revision 11755)
@@ -24,55 +24,57 @@
     
 
-      <file_group id="10d" output_freq="10d" output_level="10" split_freq="10d" enabled=".TRUE."> <!-- real 10-daily files -->
+      <file_group id="10d" output_freq="10d" output_level="10" split_freq="10d" enabled=".TRUE."> <!-- real monthly files -->
 
         <file id="file8" name_suffix="_grid_T" >
-	  <field field_ref="e3t" long_name="T-cell thickness" />
-          <field field_ref="ssh"          name="zos"      long_name="sea_surface_height_above_geoid"       />
-          <field field_ref="ssh2"         name="zossq"    standard_name="square_of_sea_surface_height_above_geoid" long_name="Square of Sea Surface Height Above Geoid"  />
-          <field field_ref="sst"          name="tos"   standard_name="sea_surface_temperature"                                 />
-          <field field_ref="sss"          name="sos"   standard_name="sea_surface_salinity"                                    />
+	  <field field_ref="e3t"          name="thkcello"  />
+          <field field_ref="ssh"          name="zos"       />
+          <field field_ref="ssh2"         name="zossq"     />
+          <field field_ref="sst"          name="tos"       />
+          <field field_ref="sss"          name="sos"       />
+          <field field_ref="sbt"          name="tos"       />
+          <field field_ref="sbs"          name="sos"       />
           <field field_ref="toce"         name="thetao"   operation="average" freq_op="10d" > @toce_e3t / @e3t </field>
           <field field_ref="soce"         name="so"       operation="average" freq_op="10d" > @soce_e3t / @e3t </field>
-          <field field_ref="mldzint_1"    name="somxzint1"         />
-	  <field field_ref="qt"           name="hfds"     standard_name="surface_downward_heat_flux_in_sea_water"  />
-	  <field field_ref="qsr3d"        name="rsdo"     standard_name="downwelling_shortwave_flux_in_sea_water"  />
-	  <field field_ref="empmr"        name="sowaflup" standard_name="water_flux_out_of_sea_ice_and_sea_water"  />
-          <field field_ref="ice_cover"    name="soicecov" standard_name="sea_ice_area_fraction"                                   />
-          <field field_ref="berg_melt"       name="ficeberg"     standard_name="water_flux_into_sea_water_from_icebergs"      />
-          <field field_ref="berg_melt_qlat"  name="berg_latent_heat_flux"     standard_name="latent_heat_flux_from_icebergs"                                 />
+          <field field_ref="mldzint_1"    name="somxzint1"  />
+	  <field field_ref="qt"           name="hfds"       />
+	  <field field_ref="qsr3d"        name="rsdo"       />
+	  <field field_ref="empmr"        name="sowaflup"   />
+          <field field_ref="ice_cover"    name="soicecov"   />
+          <field field_ref="berg_melt"       name="ficeberg"               />
+          <field field_ref="berg_melt_qlat"  name="berg_latent_heat_flux"  />
 	  <field field_ref="emp_oce"      name="soemp_oce"  />
 	  <field field_ref="emp_ice"      name="soemp_ice"  />
-	  <field field_ref="snowpre"      name="sosnowpre"  />
-	  <field field_ref="precip"       name="soprecip"  />
-	  <field field_ref="fmmflx"       name="sofmmflx"  />
-	  <field field_ref="runoffs"      name="sorunoff"  />
-	  <field field_ref="erp"          name="so_erp"  />
-	  <field field_ref="saltflx"      name="sosaltflx"  />
-	  <field field_ref="qlatisf"      name="soqlatisf"  />
-	  <field field_ref="qhcisf"       name="soqhcisf"  />
-	  <field field_ref="fwfisf"       name="sofwfisf"  />
+	  <field field_ref="snowpre"      name="snowpre"    />
+	  <field field_ref="precip"       name="soprecip"   />
+	  <field field_ref="fmmflx"       name="fsitherm"   />
+	  <field field_ref="runoffs"      name="friver"     />
+	  <field field_ref="erp"          name="so_erp"     />
+	  <field field_ref="saltflx"      name="sfdsi"      />
+	  <field field_ref="qlatisf"      name="sohflisf"  />
+	  <field field_ref="qhcisf"       name="sohfcisf"   />
+	  <field field_ref="fwfisf"       name="sowflisf"   />
         </file>
 
 	<file id="file9" name_suffix="_grid_U" description="ocean U grid variables" >
-	  <field field_ref="e3u"  long_name="U-cell thickness" />
-          <field field_ref="ssu"          name="sozocrtx"   standard_name="sea_surface_eastward_sea_water_velocity"                 />
+	  <field field_ref="e3u"          name="thkcello"   />
+          <field field_ref="ssu"          name="sozocrtx"   />
           <field field_ref="uoce"         name="uo"      operation="average" freq_op="10d" > @uoce_e3u / @e3u </field>
           <field field_ref="uoce"         name="u2o" standard_name="square_of_sea_water_x_velocity" long_name="UU"  operation="average" freq_op="10d" > @uoce2_e3u / @e3u </field>
-	  <field field_ref="utau"         name="tauuo"   long_name="surface_downward_x_stress" />
+	  <field field_ref="utau"         name="tauuo"      />
 	</file>
 	
 	<file id="file10" name_suffix="_grid_V" description="ocean V grid variables" >
-	  <field field_ref="e3v" long_name="V-cell thickness"  />
-          <field field_ref="ssv"          name="somecrty"   standard_name="sea_surface_northward_sea_water_velocity"                 />
+	  <field field_ref="e3v"          name="thkcello"  />
+          <field field_ref="ssv"          name="somecrty"  />
           <field field_ref="voce"         name="vo"      operation="average" freq_op="10d" > @voce_e3v / @e3v </field>
           <field field_ref="voce"         name="v2o" standard_name="square_of_sea_water_y_velocity" long_name="VV"  operation="average" freq_op="10d" > @voce2_e3v / @e3v </field>
-	  <field field_ref="vtau"         name="tauvo"   long_name="surface_downward_y_stress" />
+	  <field field_ref="vtau"         name="tauvo"     />
 	</file>
 	
 	<file id="file11" name_suffix="_grid_W" description="ocean W grid variables" >
 	  <field field_ref="e3w" long_name="W-cell thickness"  />
-	  <field field_ref="woce"         name="wo"       />
-	  <field field_ref="avt"          name="difvho"  long_name="ocean_vertical_heat_diffusivity" />
-	  <field field_ref="avm"          name="avm"      />
+	  <field field_ref="woce"         name="wo"            />
+	  <field field_ref="avt"          name="difvho"        />
+	  <field field_ref="avm"          name="difvmo"        />
 	</file>
 
Index: /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-BASIC-1M.xml
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-BASIC-1M.xml	(revision 11754)
+++ /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-BASIC-1M.xml	(revision 11755)
@@ -27,52 +27,54 @@
 
         <file id="file8" name_suffix="_grid_T" >
-	  <field field_ref="e3t" long_name="T-cell thickness" />
-          <field field_ref="ssh"          name="zos"      long_name="sea_surface_height_above_geoid"       />
-          <field field_ref="ssh2"         name="zossq"    standard_name="square_of_sea_surface_height_above_geoid" long_name="Square of Sea Surface Height Above Geoid"  />
-          <field field_ref="sst"          name="tos"   standard_name="sea_surface_temperature"                                 />
-          <field field_ref="sss"          name="sos"   standard_name="sea_surface_salinity"                                    />
+	  <field field_ref="e3t"          name="thkcello"  />
+          <field field_ref="ssh"          name="zos"       />
+          <field field_ref="ssh2"         name="zossq"     />
+          <field field_ref="sst"          name="tos"       />
+          <field field_ref="sss"          name="sos"       />
+          <field field_ref="sbt"          name="tos"       />
+          <field field_ref="sbs"          name="sos"       />
           <field field_ref="toce"         name="thetao"   operation="average" freq_op="1mo" > @toce_e3t / @e3t </field>
           <field field_ref="soce"         name="so"       operation="average" freq_op="1mo" > @soce_e3t / @e3t </field>
-          <field field_ref="mldzint_1"    name="somxzint1"         />
-	  <field field_ref="qt"           name="hfds"     standard_name="surface_downward_heat_flux_in_sea_water"  />
-	  <field field_ref="qsr3d"        name="rsdo"     standard_name="downwelling_shortwave_flux_in_sea_water"  />
-	  <field field_ref="empmr"        name="sowaflup" standard_name="water_flux_out_of_sea_ice_and_sea_water"  />
-          <field field_ref="ice_cover"    name="soicecov" standard_name="sea_ice_area_fraction"                                   />
-          <field field_ref="berg_melt"       name="ficeberg"     standard_name="water_flux_into_sea_water_from_icebergs"      />
-          <field field_ref="berg_melt_qlat"  name="berg_latent_heat_flux"     standard_name="latent_heat_flux_from_icebergs"                                 />
+          <field field_ref="mldzint_1"    name="somxzint1"  />
+	  <field field_ref="qt"           name="hfds"       />
+	  <field field_ref="qsr3d"        name="rsdo"       />
+	  <field field_ref="empmr"        name="sowaflup"   />
+          <field field_ref="ice_cover"    name="soicecov"   />
+          <field field_ref="berg_melt"       name="ficeberg"               />
+          <field field_ref="berg_melt_qlat"  name="berg_latent_heat_flux"  />
 	  <field field_ref="emp_oce"      name="soemp_oce"  />
 	  <field field_ref="emp_ice"      name="soemp_ice"  />
-	  <field field_ref="snowpre"      name="sosnowpre"  />
-	  <field field_ref="precip"       name="soprecip"  />
-	  <field field_ref="fmmflx"       name="sofmmflx"  />
-	  <field field_ref="runoffs"      name="sorunoff"  />
-	  <field field_ref="erp"          name="so_erp"  />
-	  <field field_ref="saltflx"      name="sosaltflx"  />
-	  <field field_ref="qlatisf"      name="soqlatisf"  />
-	  <field field_ref="qhcisf"       name="soqhcisf"  />
-	  <field field_ref="fwfisf"       name="sofwfisf"  />
+	  <field field_ref="snowpre"      name="snowpre"    />
+	  <field field_ref="precip"       name="soprecip"   />
+	  <field field_ref="fmmflx"       name="fsitherm"   />
+	  <field field_ref="runoffs"      name="friver"     />
+	  <field field_ref="erp"          name="so_erp"     />
+	  <field field_ref="saltflx"      name="sfdsi"      />
+	  <field field_ref="qlatisf"      name="sohflisf"  />
+	  <field field_ref="qhcisf"       name="sohfcisf"   />
+	  <field field_ref="fwfisf"       name="sowflisf"   />
         </file>
 
 	<file id="file9" name_suffix="_grid_U" description="ocean U grid variables" >
-	  <field field_ref="e3u"  long_name="U-cell thickness" />
-          <field field_ref="ssu"          name="sozocrtx"   standard_name="sea_surface_eastward_sea_water_velocity"                 />
+	  <field field_ref="e3u"          name="thkcello"   />
+          <field field_ref="ssu"          name="sozocrtx"   />
           <field field_ref="uoce"         name="uo"      operation="average" freq_op="1mo" > @uoce_e3u / @e3u </field>
           <field field_ref="uoce"         name="u2o" standard_name="square_of_sea_water_x_velocity" long_name="UU"  operation="average" freq_op="1mo" > @uoce2_e3u / @e3u </field>
-	  <field field_ref="utau"         name="tauuo"   long_name="surface_downward_x_stress" />
+	  <field field_ref="utau"         name="tauuo"      />
 	</file>
 	
 	<file id="file10" name_suffix="_grid_V" description="ocean V grid variables" >
-	  <field field_ref="e3v" long_name="V-cell thickness"  />
-          <field field_ref="ssv"          name="somecrty"   standard_name="sea_surface_northward_sea_water_velocity"                 />
+	  <field field_ref="e3v"          name="thkcello"  />
+          <field field_ref="ssv"          name="somecrty"  />
           <field field_ref="voce"         name="vo"      operation="average" freq_op="1mo" > @voce_e3v / @e3v </field>
           <field field_ref="voce"         name="v2o" standard_name="square_of_sea_water_y_velocity" long_name="VV"  operation="average" freq_op="1mo" > @voce2_e3v / @e3v </field>
-	  <field field_ref="vtau"         name="tauvo"   long_name="surface_downward_y_stress" />
+	  <field field_ref="vtau"         name="tauvo"     />
 	</file>
 	
 	<file id="file11" name_suffix="_grid_W" description="ocean W grid variables" >
 	  <field field_ref="e3w" long_name="W-cell thickness"  />
-	  <field field_ref="woce"         name="wo"       />
-	  <field field_ref="avt"          name="difvho"  long_name="ocean_vertical_heat_diffusivity" />
-	  <field field_ref="avm"          name="avm"      />
+	  <field field_ref="woce"         name="wo"            />
+	  <field field_ref="avt"          name="difvho"        />
+	  <field field_ref="avm"          name="difvmo"        />
 	</file>
 
Index: /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-CMIP6-10D.xml
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-CMIP6-10D.xml	(revision 11754)
+++ /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-CMIP6-10D.xml	(revision 11755)
@@ -87,4 +87,6 @@
           <field field_ref="sss"          name="sos"   standard_name="sea_surface_salinity"                                    />
           <field field_ref="sss"         name="sossq" long_name="Square of Sea Surface Salinity"   standard_name="square_of_sea_surface_Salinity"   unit="1e-06"     > sss * sss </field >
+          <field field_ref="sbt"          name="tos"   standard_name="sea_water_potential_temperature_at_sea_floor"            />
+          <field field_ref="sbs"          name="sos"   standard_name="sea_water_salinity_at_sea_floor"                         />
 <!-- TO FIX
           <field field_ref="rain_ao_cea" name="pr" standard_name="rainfall_flux" long_name="Rainfall Flux" > @rain_ao_cea </field>
Index: /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-CMIP6-1M.xml
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-CMIP6-1M.xml	(revision 11754)
+++ /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-CMIP6-1M.xml	(revision 11755)
@@ -58,5 +58,5 @@
 
 	<file id="file4" name_suffix="_grid_T" description="ocean T grid variables" >
-          <field field_ref="e3t"          name="thkcello"        standard_name="cell_thickness" />
+          <field field_ref="e3t"          name="thkcello"     />
 <!-- Is this dangerous to include rho0 here as a hard coded value -->
           <field field_ref="e3t"          name="masscello"        standard_name="sea_water_mass_per_unit_area" unit="kg/m2" long_name="Ocean Grid-Cell Mass per area" > @e3t * 1026.0 </field> 
@@ -87,4 +87,6 @@
           <field field_ref="sss"          name="sos"   standard_name="sea_surface_salinity"                                    />
           <field field_ref="sss"         name="sossq" long_name="Square of Sea Surface Salinity"   standard_name="square_of_sea_surface_Salinity"   unit="1e-06"     > sss * sss </field >
+          <field field_ref="sbt"          name="tos"   standard_name="sea_water_potential_temperature_at_sea_floor"            />
+          <field field_ref="sbs"          name="sos"   standard_name="sea_water_salinity_at_sea_floor"                         />
 <!-- TO FIX
           <field field_ref="rain_ao_cea" name="pr" standard_name="rainfall_flux" long_name="Rainfall Flux" > @rain_ao_cea </field>
@@ -102,5 +104,5 @@
 -->
           <field field_ref="tnpeo" />
-          <field field_ref="snowpre" name="snowpre" />
+          <field field_ref="snowpre"     name="snowpre" />
           <field field_ref="snow_ai_cea" name="snow_ai_cea" />
 	  <field field_ref="empmr"        name="sowaflup"   standard_name="water_flux_out_of_sea_ice_and_sea_water"                 />