Index: /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-BASIC-10D.xml
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-BASIC-10D.xml	(revision 11755)
+++ /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-BASIC-10D.xml	(revision 11756)
@@ -32,6 +32,6 @@
           <field field_ref="sst"          name="tos"       />
           <field field_ref="sss"          name="sos"       />
-          <field field_ref="sbt"          name="tos"       />
-          <field field_ref="sbs"          name="sos"       />
+          <field field_ref="sbt"          name="thetaob"   />
+          <field field_ref="sbs"          name="sob"       />
           <field field_ref="toce"         name="thetao"   operation="average" freq_op="10d" > @toce_e3t / @e3t </field>
           <field field_ref="soce"         name="so"       operation="average" freq_op="10d" > @soce_e3t / @e3t </field>
Index: /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-BASIC-1M.xml
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-BASIC-1M.xml	(revision 11755)
+++ /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-BASIC-1M.xml	(revision 11756)
@@ -32,6 +32,6 @@
           <field field_ref="sst"          name="tos"       />
           <field field_ref="sss"          name="sos"       />
-          <field field_ref="sbt"          name="tos"       />
-          <field field_ref="sbs"          name="sos"       />
+          <field field_ref="sbt"          name="thetaob"   />
+          <field field_ref="sbs"          name="sob"       />
           <field field_ref="toce"         name="thetao"   operation="average" freq_op="1mo" > @toce_e3t / @e3t </field>
           <field field_ref="soce"         name="so"       operation="average" freq_op="1mo" > @soce_e3t / @e3t </field>
Index: /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-CMIP6-10D.xml
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-CMIP6-10D.xml	(revision 11755)
+++ /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-CMIP6-10D.xml	(revision 11756)
@@ -87,6 +87,6 @@
           <field field_ref="sss"          name="sos"   standard_name="sea_surface_salinity"                                    />
           <field field_ref="sss"         name="sossq" long_name="Square of Sea Surface Salinity"   standard_name="square_of_sea_surface_Salinity"   unit="1e-06"     > sss * sss </field >
-          <field field_ref="sbt"          name="tos"   standard_name="sea_water_potential_temperature_at_sea_floor"            />
-          <field field_ref="sbs"          name="sos"   standard_name="sea_water_salinity_at_sea_floor"                         />
+          <field field_ref="sbt"          name="thetaob"   standard_name="sea_water_potential_temperature_at_sea_floor"            />
+          <field field_ref="sbs"          name="sob"   standard_name="sea_water_salinity_at_sea_floor"                         />
 <!-- TO FIX
           <field field_ref="rain_ao_cea" name="pr" standard_name="rainfall_flux" long_name="Rainfall Flux" > @rain_ao_cea </field>
Index: /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-CMIP6-1M.xml
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-CMIP6-1M.xml	(revision 11755)
+++ /NEMO/branches/UKMO/NEMO_4.0.1_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-CMIP6-1M.xml	(revision 11756)
@@ -87,6 +87,6 @@
           <field field_ref="sss"          name="sos"   standard_name="sea_surface_salinity"                                    />
           <field field_ref="sss"         name="sossq" long_name="Square of Sea Surface Salinity"   standard_name="square_of_sea_surface_Salinity"   unit="1e-06"     > sss * sss </field >
-          <field field_ref="sbt"          name="tos"   standard_name="sea_water_potential_temperature_at_sea_floor"            />
-          <field field_ref="sbs"          name="sos"   standard_name="sea_water_salinity_at_sea_floor"                         />
+          <field field_ref="sbt"          name="thetaob"   standard_name="sea_water_potential_temperature_at_sea_floor"            />
+          <field field_ref="sbs"          name="sob"   standard_name="sea_water_salinity_at_sea_floor"                         />
 <!-- TO FIX
           <field field_ref="rain_ao_cea" name="pr" standard_name="rainfall_flux" long_name="Rainfall Flux" > @rain_ao_cea </field>