Index: NEMO/trunk/doc/rst/source/conf.py
===================================================================
--- NEMO/trunk/doc/rst/source/conf.py	(revision 11759)
+++ NEMO/trunk/doc/rst/source/conf.py	(revision 11761)
@@ -66,5 +66,5 @@
 # List of patterns, relative to source directory, that match files and
 # directories to ignore when looking for source files.
-exclude_patterns = ['global.rst', 'crs.rst']
+exclude_patterns = ['global.rst', 'readme.rst']
 
 # The reST default role (used for this markup: `text`) to use for all documents.
@@ -267,9 +267,11 @@
 # SVN revision
 import subprocess
-revision = subprocess.check_output("svnversion").decode("utf-8")
-rst_prolog = '.. |revision| replace:: %s' % revision
+rev = subprocess.check_output("svnversion").decode("utf-8")
+rst_prolog = '.. |revision| replace:: %s' % rev
 
 # 'draft' build tag: DRAFT watermark and TODO list
 if tags.has('draft'):
-    todo_include_todos = True
-    todo_emit_warnings = True
+   todo_include_todos = True
+   todo_emit_warnings = True
+else:
+   exclude_patterns = ['global.rst', 'readme.rst', 'todos.rst', 'unpub*']
Index: NEMO/trunk/doc/rst/source/crs.rst
===================================================================
--- NEMO/trunk/doc/rst/source/crs.rst	(revision 11759)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../../src/OCE/CRS/README.rst
Index: NEMO/trunk/doc/rst/source/doc.rst
===================================================================
--- NEMO/trunk/doc/rst/source/doc.rst	(revision 11759)
+++ 	(revision )
@@ -1,13 +1,0 @@
-**************************
-Building the documentation
-**************************
-
-.. todo::
-
-
-
-:file:`latex`    : LaTeX sources and Latexmk configuration to build reference manuals with :file:`manual_build.sh`
-:file:`namelists`: Namelist blocks included in the documentation
-:file:`rst`      : |RST man|_ sources and Sphinx configuration to build this guide hereby with :file:`guide_build.sh`
-
-.. |RST man| replace:: reStructuredText (rst)
Index: NEMO/trunk/doc/rst/source/guide.rst
===================================================================
--- NEMO/trunk/doc/rst/source/guide.rst	(revision 11759)
+++ NEMO/trunk/doc/rst/source/guide.rst	(revision 11761)
@@ -3,22 +3,31 @@
 #################
 
-..
-	For headings markup, this convention is recommended from Python’s Style Guide
-	# with overline, for parts
-	* with overline, for chapters
-	=, for sections
-	-, for subsections
-	^, for subsubsections
-	", for paragraphs
+.. For headings markup, this convention is recommended from Python’s Style Guide
+   # with overline, for parts
+   * with overline, for chapters
+   =, for sections
+   -, for subsections
+   ^, for subsubsections
+   ", for paragraphs
 
-	'global.rst' contains a list of roles, substitutions and URL links for the guide.
-	It is loaded for each file with the 'rst_epilog' setting in 'conf.py'
+   'global.rst' contains a list of roles, substitutions and URL links for the guide.
+   It is loaded for each file with the 'rst_epilog' setting in 'conf.py'
 
-.. only:: draft
+.. toctree::
+   :hidden:
 
-   .. toctree::
-      :hidden:
+   todos
 
-      todos
+.. Only displayed with 'make drafthtml'
+
+.. toctree::
+   :hidden:
+   :caption: Unpublished READMEs
+   :glob:
+   :titlesonly:
+
+   unpub/*
+
+.. Only displayed with 'make drafthtml'
 
 .. toctree::
@@ -60,4 +69,6 @@
 .. only:: draft
 
+   .. Only on draft
+
    :*Date*:     |today|
    :*SVN rev*:  |revision|
Index: NEMO/trunk/doc/rst/source/src.rst
===================================================================
--- NEMO/trunk/doc/rst/source/src.rst	(revision 11759)
+++ 	(revision )
@@ -1,12 +1,0 @@
-*******
-Sources
-*******
-
-.. todo::
-
-
-
-:file:`ICE`: |NEMO-ICE|
-:file:`NST`: AGRIF for embedded zooms
-:file:`OCE`: |NEMO-OCE|
-:file:`TOP`: |NEMO-MBG|
Index: NEMO/trunk/doc/rst/source/unpub/crs.rst
===================================================================
--- NEMO/trunk/doc/rst/source/unpub/crs.rst	(revision 11761)
+++ NEMO/trunk/doc/rst/source/unpub/crs.rst	(revision 11761)
@@ -0,0 +1,1 @@
+link ../../../../src/OCE/CRS/README.rst
Index: NEMO/trunk/doc/rst/source/unpub/doc.rst
===================================================================
--- NEMO/trunk/doc/rst/source/unpub/doc.rst	(revision 11761)
+++ NEMO/trunk/doc/rst/source/unpub/doc.rst	(revision 11761)
@@ -0,0 +1,1 @@
+link ../../../README.rst
Index: NEMO/trunk/doc/rst/source/unpub/src.rst
===================================================================
--- NEMO/trunk/doc/rst/source/unpub/src.rst	(revision 11761)
+++ NEMO/trunk/doc/rst/source/unpub/src.rst	(revision 11761)
@@ -0,0 +1,1 @@
+link ../../../../src/README.rst